/**
 * @desc 获取用户菜单
 */

import * as defs from '../../baseClass'
import { defHttp } from '/@/utils/http/axios'

export class Params {}

export const init = new defs.ResultArrayListMenuVo()

export function request(params?: Params, config?: http.RequestConfig<Params>, options?: http.RequestOptions) {
    return defHttp.request(
        {
            url: '/user/getMenuList',
            method: 'GET',
            params,

            ...config,
        },
        {
            ...options,
        },
    )
}
